package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumTagTypeFlag {
    FLAG_NORMAL(0),
    FLAG_SINGLE(1),

    ;

    public static EnumTagTypeFlag getEnum(Long code) {
        for (EnumTagTypeFlag value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;

    EnumTagTypeFlag(Integer code) {
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }

}
